Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCQueryManager

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCQueryManager

public final class JDBCQueryManager
extends Object

Maintains a map from a query method to query command.

Version:
  $Revision: 1.20 $
Author:
  Dain Sundstrom, Rickard �berg, Marc Fleury, Joe Shevland, Justin Forder, Alex Loubyansky

Constructor Summary
`JDBCQueryManager(JDBCStoreManager manager)`

Method Summary
`void` | `clear()`
`static QLCompiler` | `getInstance(Class impl, Catalog catalog)`
`static Class` | `getQLCompiler(Element query, JDBCEntityMetaData entity)`
`JDBCQueryCommand` | `getQueryCommand(Method queryMethod)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCQueryManager

    public JDBCQueryManager(JDBCStoreManager manager)

Method Detail

### getQLCompiler

    public static final Class getQLCompiler(Element query,
                                            JDBCEntityMetaData entity)
                                     throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### getInstance

    public static final QLCompiler getInstance(Class impl,
                                               Catalog catalog)
                                        throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### getQueryCommand

    public JDBCQueryCommand getQueryCommand(Method queryMethod)
                                     throws javax.ejb.FinderException

  Throws:
    `javax.ejb.FinderException`

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.